﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ChartAnnotation.Classes
{
    public class Scaling : INotifyPropertyChanged
    {
        private int _scaleX;

        public int ScaleX
        {
            get { return _scaleX; }
            set
            {
                if (value != _scaleX)
                {
                    _scaleX = value;
                    OnPropertyChanged("ScaleX");
                }
            }
        }
        private int _scaleY;

        public int ScaleY
        {
            get { return _scaleY; }
            set
            {
                if (value != _scaleY)
                {
                    _scaleY = value;
                    OnPropertyChanged("ScaleY");
                }
            }
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChangedEventArgs args = new PropertyChangedEventArgs(propertyName);
                this.PropertyChanged(this, args);
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
